Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.xbean
Class JettyFactoryBean

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer
                  org.mortbay.jetty.handler.HandlerWrapper
                      org.mortbay.jetty.Server
                          org.mortbay.jetty.xbean.JettyFactoryBean

All Implemented Interfaces:
  LifeCycle, Handler, HandlerContainer, Attributes

    public class JettyFactoryBean

extends Server

Creates an instance of Jetty inside an XBean configuration file

Version:
  $Revision: 1294 $

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.Server
`Server.Graceful`

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`java.util.Collection` | `deployers`
`ContextDeployer` | `hotDeployer`

Fields inherited from class org.mortbay.jetty.Server
`SNAPSHOT_VERSION, UNKNOWN_VERSION`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`JettyFactoryBean()`

Method Summary
`java.util.Collection` | `getDeployers()`
`ContextDeployer` | `getHotDeployer()`
`void` | `run()`
`void` | `setDeployers(java.util.Collection deployers)`
`void` | `setHotDeployer(ContextDeployer hotDeployer)`

Methods inherited from class org.mortbay.jetty.Server
`addConnector, addHandler, addLifeCycle, addUserRealm, clearAttributes, doStart, doStop, getAttribute, getAttributeNames, getConnectors, getContainer, getGracefulShutdown, getHandlers, getSendDateHeader, getSendServerVersion, getSessionIdManager, getStopAtShutdown, getThreadPool, getUserRealms, getVersion, handle, join, removeAttribute, removeConnector, removeHandler, removeLifeCycle, removeUserRealm, setAttribute, setConnectors, setGracefulShutdown, setHandlers, setSendDateHeader, setSendServerVersion, setSessionIdManager, setStopAtShutdown, setThreadPool, setUserRealms`

Methods inherited from class org.mortbay.jetty.handler.HandlerWrapper
`expandChildren, getHandler, handle, setHandler, setServer`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
`expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### deployers

    public java.util.Collection deployers

### hotDeployer

    public ContextDeployer hotDeployer

Constructor Detail

### JettyFactoryBean

    public JettyFactoryBean()

Method Detail

### run

    public void run()
             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDeployers

    public java.util.Collection getDeployers()

### setDeployers

    public void setDeployers(java.util.Collection deployers)

### getHotDeployer

    public ContextDeployer getHotDeployer()

### setHotDeployer

    public void setHotDeployer(ContextDeployer hotDeployer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.